<?
$r="../../";
require_once($r."inc/funciones.php");
$mysqli = connectDB($r);

$code = $_GET['code'];
$infocotizacion = sinfo('z_cotizacion',$code);

if(empty($infocotizacion['idcliente'])){
    echo "INSERT INTO `z_clientes`(`id`, `cedula`, `nombre`, `correo`, `contacto1`, `direccion`, `celular1`, `telefono1`, `contacto2`, `telefono2`, `nota`, `pais`, `departamento`, `municipio`, `localidad`, `zona`, `barrio`, `tipocliente`, `perfil`, `ruta`, `facturacion`, `eliminado`) VALUES ([value-1],[value-2],[value-3],[value-4],[value-5],[value-6],[value-7],[value-8],[value-9],[value-10],[value-11],[value-12],[value-13],[value-14],[value-15],[value-16],[value-17],[value-18],[value-19],[value-20],[value-21],[value-22])";
}
/*
$pedir = $_POST['pedir'];
$cliente = $_POST['cliente'];
if($cliente == 'otro'){
    $empresa = $_POST['empresa'];
    if(empty($empresa)){
        echo "<div class='alert alert-danger  alert-dismissible text-center bg-warning'><a href='#' class='close' data-dismiss='alert' aria-label='close'>&times;</a><h6>INGRESA LA INFORMACION DEL CLIENTE </h6></div>";
        exit();
    }
    $contacto = $_POST['contacto'];
    $celular = $_POST['celular'];
    if(empty($celular)){
        echo "<div class='alert alert-danger  alert-dismissible text-center bg-warning'><a href='#' class='close' data-dismiss='alert' aria-label='close'>&times;</a><h6>INGRESA LA INFORMACION DEL CLIENTE </h6></div>";
        exit();
    }
    $ciudad = $_POST['ciudad'];
    $correo = $_POST['correo'];
    
}
$totalbase = $_POST['totalbase'];
$totalica = $_POST['totalica'];
$totalretefuente = $_POST['totalretefuente'];
$ttotal = $_POST['ttotal'];
$documentos = $_POST['documentos'];
$pago = $_POST['pago'];
$fecha = $_POST['fecha'];
$nota = $_POST['nota'];

$aprod = array();
foreach($_POST as $key => $item){
    $param_name = 'iden';
    if(substr($key, 0, strlen($param_name)) == $param_name) {
        $idkpro= $_POST['cod'.$item];
        $capro= $_POST['cant'.$item];
        $tpro= $_POST['tipo'.$item];
        $sinfoproducto = sinfo('z_productos',$idkpro);
        $sinfopresent = sinfo('z_presentaciones_productos',$tpro);
        $qry1=$mysqli->query("SELECT * FROM `z_inventario` WHERE `idproducto` = $idkpro");
        $row1 = $qry1->fetch_assoc();
        $lastcant = $capro*$sinfopresent['cantidad'];
        $icant=$row1['cantidad'];
        //echo $idkpro.' - C'.$lastcant.' --('.$sinfopresent['cantidad'].')<= I'.$icant.'<hr>';
        $aprod[$idkpro]['cantidad'] = $aprod[$idkpro]['cantidad']+$lastcant;
        $aprod[$idkpro]['icantidad'] = $icant;
        $aprod[$idkpro]['nproducto'] = $sinfoproducto['producto'];
        if($lastcant>$icant){
            if($icant==0){
                echo "<div class='alert alert-danger  alert-dismissible text-center bg-warning'><a href='#' class='close' data-dismiss='alert' aria-label='close'>&times;</a><h6>NO HAY ".$sinfoproducto['producto']." </h6></div>";
                exit();
            }
            echo "<div class='alert alert-danger  alert-dismissible text-center bg-warning'><a href='#' class='close' data-dismiss='alert' aria-label='close'>&times;</a><h6>SOLO TIENES ".$icant.'Kg DE '.$sinfoproducto['producto']." </h6></div>";
            exit();
        }
        
    }
}
if(empty($aprod)){
    echo "<div class='alert alert-danger  alert-dismissible text-center bg-warning'><a href='#' class='close' data-dismiss='alert' aria-label='close'>&times;</a><h6>FALTA AÑADIR ALGUN PRODUCTO</h6></div>";
    exit();
}
foreach($aprod as $llave => $val){
    if($aprod[$llave]['cantidad']>$aprod[$llave]['icantidad']){
        echo "<div class='alert alert-danger  alert-dismissible text-center bg-warning'><a href='#' class='close' data-dismiss='alert' aria-label='close'>&times;</a><h6>SOLO TIENES ".$aprod[$llave]['icantidad'].'Kg DE '.$aprod[$llave]['nproducto']." </h6></div>";
        exit();
    }
    
}
/*if($cliente == 'otro'){
    $empresa = $_POST['empresa'];
    $contacto = $_POST['contacto'];
    $celular = $_POST['celular'];
    $ciudad = $_POST['ciudad'];
    $correo = $_POST['correo'];
    $mysqli->query("INSERT INTO z_cotizacion ( `idcliente`, `empresa`, `contacto`, `telefono`, `ciudad`, `correo`, `idpago`, `subtotal`, `ica`, `retefuente`, `documentos`, `codigo`, `fecha_entrega`, `comentarios`) VALUE (NULL,'$empresa','$contacto','$celular','$ciudad','$correo','$pago','$totalbase','$totalica','$totalretefuente','$documentos','0000','$fecha','$nota')");
    
}else{
    $infoclient = sinfo('z_clientes',$cliente);
    $empresa = $infoclient['nombre'];
    $contacto = $infoclient['contacto1'];
    $celular = $infoclient['celular1'];
    $ciudad = $infoclient['municipio'];
    $correo = $infoclient['correo'];
    $mysqli->query("INSERT INTO z_cotizacion ( `idcliente`, `empresa`, `contacto`, `telefono`, `ciudad`, `correo`, `idpago`, `subtotal`, `ica`, `retefuente`, `documentos`, `codigo`, `fecha_entrega`, `comentarios`) VALUE ('$cliente','$empresa','$contacto','$celular','$ciudad','$correo','$pago','$totalbase','$totalica','$totalretefuente','$documentos','0000','$fecha','$nota')");
}*/
$last_id = $code;
/*$mysqli->query("DELETE FROM `z_cotizacion_pedido` WHERE `idcotizacion`=$code");
foreach($_POST as $key => $item){
            $param_name = 'iden';
            if(substr($key, 0, strlen($param_name)) == $param_name) {
                $idpro=$item;
                $idkpro= $_POST['cod'.$idpro];
                $capro= $_POST['cant'.$idpro];
                $prpro= $_POST['prec'.$idpro];
                $tpro= $_POST['tipo'.$idpro];
                $iva= $_POST['iva'.$idpro];
                $subtotal = $subtotal + ($capro*$prpro);
                if (!$mysqli->query("INSERT INTO z_cotizacion_pedido (idcotizacion, idproducto, idpresentacion, cantidad, precio, iva) VALUE ('$last_id','$idkpro','$tpro','$capro','$prpro','$iva')")) {
                    printf("Error message: %s\n", $mysqli->error);
                }
            }
        }

$mysqli->query("UPDATE `z_cotizacion` SET `estado` = '1' WHERE `z_cotizacion`.`id` = $code;");*/
//echo "../../pedido/mis-pedidos.php?msg=LA PREFORMA N° $last_id SE HA REALIZADO CON ÉXTIO";
//exit(header('location: ../../pedido/mis-pedidos.php?msg=LA PREFORMA N° $last_id SE HA REALIZADO CON ÉXTIO'));
?>
?>